<?php
 namespace MongoDB\Tests\Operation;
 use MongoDB\Exception\InvalidArgumentException;
 use MongoDB\Operation\DatabaseCommand;
 class DatabaseCommandTest extends TestCase {
 public function testConstructorCommandArgumentTypeCheck($command) {
 $this->expectException(InvalidArgumentException::class);
 new DatabaseCommand($this->getDatabaseName(), $command);
 }
 public function testConstructorOptionTypeChecks(array $options) {
 $this->expectException(InvalidArgumentException::class);
 new DatabaseCommand($this->getDatabaseName(), ['ping' => 1], $options);
 }
 public function provideInvalidConstructorOptions() {
 $options = [];
 foreach ($this->getInvalidReadPreferenceValues() as $value) {
 $options[][] = ['readPreference' => $value];
 }
 foreach ($this->getInvalidSessionValues() as $value) {
 $options[][] = ['session' => $value];
 }
 foreach ($this->getInvalidArrayValues() as $value) {
 $options[][] = ['typeMap' => $value];
 }
 return $options;
 }
 }
 